Package org.eclipse.jdt.debug.eval

## Class EvaluationManager

- java.lang.Object
- - org.eclipse.jdt.debug.eval.EvaluationManager

    public class EvaluationManager
    extends Object

The evaluation manager provides factory methods for creating evaluation engines.

Since:
  2.0
See Also:
  `IEvaluationEngine`, `IClassFileEvaluationEngine`, `IAstEvaluationEngine`, `IEvaluationResult`, `IEvaluationListener`
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods
`static IAstEvaluationEngine` `newAstEvaluationEngine​(IJavaProject project, IJavaDebugTarget target)` Creates and returns a new evaluation engine that performs evaluations by compiling expressions into abstract syntax trees (ASTs), and interpreting the AST over a JDI connection.
`static IClassFileEvaluationEngine` `newClassFileEvaluationEngine​(IJavaProject project, IJavaDebugTarget target, File directory)` Creates and returns a new evaluation engine that performs evaluations for local Java applications by deploying class files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newClassFileEvaluationEngine

    public static IClassFileEvaluationEngine newClassFileEvaluationEngine​(IJavaProject project,
                                                                          IJavaDebugTarget target,
                                                                          File directory)

Creates and returns a new evaluation engine that performs evaluations for local Java applications by deploying class files.

Parameters:
  `project` - the Java project in which expressions are to be compiled
  `target` - the Java debug target in which expressions are to be evaluated
  `directory` - the directory where support class files are deployed to assist in the evaluation. The directory must exist.
Returns:
  an evaluation engine

#### newAstEvaluationEngine

    public static IAstEvaluationEngine newAstEvaluationEngine​(IJavaProject project,
                                                              IJavaDebugTarget target)

Creates and returns a new evaluation engine that performs evaluations by compiling expressions into abstract syntax trees (ASTs), and interpreting the AST over a JDI connection. This type of evaluation engine is capable of performing remote evaluations.

Parameters:
  `project` - the Java project in which expressions are to be compiled
  `target` - the Java debug target in which expressions are to be evaluated
Returns:
  an evaluation engine